Subject: RE: where is cygintl-1.dll?
From: "Dipl.Phys. Andreas K" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 1 Dec 2003 19:59:33 +0100

Hi!
I just now had the same problem that David T-G reported long ago.
My diagnosis: 
 Somehow Harold had installed "libintl1",
 but David hadn't, cause he'd used the Default settings.

The symptom:
cygintl-1.dll was missing when cygwin installed from a local directory.
(in the last step, "PostInstallLast", 
a popup "dll missing" appeared several times).
As an effect, cygwin just didn't work properly (e.g. didn't find most programs).

What did I do (wrong)?
a) download to local directory (default) from uni-kl.de
b) install from local directory (default)

As this is called "default", there can't be much wrong with it, can it?

Your email messages actually helped me to single out the problem:
  libintl2 IS actually downloaded & installed properly, 
  but libintl1 is NOT. And that's the problem.

I manually added  libintl1,
and manually "reinstalled" the "PostInstallLast" scripts.
Didn't work. pffff.

Then I totally erased every hint to cygwin from my disk
(the directory, and manually all registry entries)
 - WHY DON'T you have a normal Windows "total uninstall" feature?

... and started from scratch again.
But this time with the (manually added) libintl1
- and everything went fine.

So my suggestion:
 Please repair the "default" settings to also include that  
 cygintl-1.dll  /  libintl1

thanks a lot!

               Andreas

P.S.: I am not on the list, please include my eMail-adress in replies.

references to:
http://sources.redhat.com/ml/cygwin/2002-05/msg00620.html
http://sources.redhat.com/ml/cygwin/2002-05/msg00677.html

http://cygwin.com/cgi-bin2/package-grep.cgi?grep=cygintl-1.dll

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/